Name:           pyhoca-gui
Version:        0.6.1.1
Release:    1%{?dist}
Summary:        Graphical X2Go client written in (wx)Python

License:        AGPLv3+
URL:            https://www.x2go.org/
Source0:        https://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-distutils-extra
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
Requires:       python%{python3_pkgversion}-cups
Requires:       python%{python3_pkgversion}-setproctitle
Requires:       python%{python3_pkgversion}-x2go >= 0.5.0.0
Requires:       libnotify
Requires:       python%{python3_pkgversion}-gobject-base
Requires:       python%{python3_pkgversion}-wxpython4

%description
X2Go is a server based computing environment with:
   - session resuming
   - low bandwidth support
   - LDAP support
   - client side mass storage mounting support
   - client side printing support
   - audio support
   - authentication by smartcard and USB stick

PyHoca-GUI is a slim X2Go client that docks to the desktop's
notification area and allows multiple X2Go session handling.


%prep
%autosetup -p1


%build
%py3_shebang_fix %{name}
%{__python3} setup.py build_i18n
%py3_build

%install
%py3_install
mkdir -p %{buildroot}%{_bindir}/
cp -p %{name} %{buildroot}%{_bindir}/
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang PyHoca-GUI


%post
/bin/touch --no-create %{_datadir}/icons/PyHoca &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/PyHoca &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/PyHoca &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/PyHoca &>/dev/null || :


%files -f PyHoca-GUI.lang
%license COPYING
%doc README TODO
%{_bindir}/%{name}
%{python3_sitelib}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/PyHoca/
%{_datadir}/pixmaps/pyhoca_x2go-logo-ubuntu.svg
%{_datadir}/pyhoca
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Aug 29 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1.1-1
- initial build
